package com.bytedance.android.livesdk.livesetting.game;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("ttlive_game_optimize_floating_ball")
public final class FloatingBallOptimizeSetting {
    @Group(isDefault = true, value = "default_group")
    public static final int DISABLE = 0;
    @Group("experiment_group")
    public static final int ENABLE = 1;
    public static final FloatingBallOptimizeSetting INSTANCE = new FloatingBallOptimizeSetting();

    static {
        Covode.recordClassIndex(17788);
    }

    public final boolean isEnable() {
        if (SettingsManager.INSTANCE.getIntValue(FloatingBallOptimizeSetting.class) == 1) {
            return true;
        }
        return false;
    }
}
